<view>

<!-- _nil_ -->
_nil_: 
<test-nil _nil_=""/>

_nil_: 
<test-nil _nil_="">1<aaa>2</aaa></test-nil>

<!-- _if_ -->
_if_: 
<test-if _if_="nil">1<aaa>2</aaa></test-if>

_if_: 
<test-if _if_="false">3<bbb>4</bbb></test-if>

_if_: 5<ccc>6</ccc>
<test-if _if_="0">5<ccc>6</ccc></test-if>

_if_: 7<ddd>8</ddd>
<test-if _if_="'hello'">7<ddd>8</ddd></test-if>

<!-- _unless_ -->
_unless_: 1<aaa>2</aaa>
<test-unless _unless_="nil">1<aaa>2</aaa></test-unless>

_unless_: 3<bbb>4</bbb>
<test-unless _unless_="false">3<bbb>4</bbb></test-unless>

_unless_: 
<test-unless _unless_="0">5<ccc>6</ccc></test-unless>

_unless_: 
<test-unless _unless_="'hello'">7<ddd>8</ddd></test-unless>

<!-- _child_ -->
_child_: 
<test-elm _child_="nil">1<aaa>2</aaa></test-elm>

_child_: <test-elm>3<bbb>4</bbb></test-elm>
<test-elm _child_="false">3<bbb>4</bbb></test-elm>

_child_: <test-elm>9</test-elm>
<test-elm _child_="4+5">4<ccc>5</ccc></test-elm>

_child_: <test-elm><hoge/></test-elm>
<test-elm _child_="REXML::Element.new('hoge')">4<ccc>5</ccc></test-elm>

<!-- _attr_ -->
_attr 0_: <test-attr>1<aaa>2</aaa></test-attr>
<test-attr _attr_="nil">1<aaa>2</aaa></test-attr>

_attr 1_: <test-attr>3<bbb>4</bbb></test-attr>
<test-attr _attr_="false">3<bbb>4</bbb></test-attr>

_attr 2_: <test-attr hello="world">5<ccc>6</ccc></test-attr>
<test-attr _attr_hello="%(world)">5<ccc>6</ccc></test-attr>

_attr 3_: <test-attr>5<ccc>6</ccc></test-attr>
<test-attr _attr_hello="nil" hello="world">5<ccc>6</ccc></test-attr>

_attr 4_: <test-attr hello="world">5<ccc>6</ccc></test-attr>
<test-attr _attr_hello="false" hello="world">5<ccc>6</ccc></test-attr>

_attr 5_: <test-attr hello="ruby">5<ccc>6</ccc></test-attr>
<test-attr _attr_hello="%(ruby)">5<ccc>6</ccc></test-attr>

_attr 6_: <test-attr hello="ruby">5<ccc>6</ccc></test-attr>
<test-attr _attr_hello="%(ruby)" hello="world">5<ccc>6</ccc></test-attr>


<!-- _block_ -->
_block_: <test-block><item>1</item><item>2</item><item>3</item></test-block>
<test-block><item _block_="(1..3)//each//i" _child_="i"/></test-block>

_block_: <test-block></test-block>
<test-block><item _block_="[]//each//i" _child_="i"/></test-block>

_block_: <item>1</item><item>2</item><item>3</item>
<span><item _block_="(1..3)//each//i" _child_="i"/></span>

_block_: 
<span><item _block_="[]//each//i" _child_="i"/></span>

<!-- _event_ -->
_event_: <form method="POST" action=""><input type="hidden" name="event" value="hello"/></form>
<form _event_="hello" action="dummy.cgi"/>

_event_: <a href="?event=hello">hello</a>
<a _event_="hello" href="dummy.cgi">hello</a>

_event_: <form method="POST" action="alt.cgi"><input type="hidden" name="event" value="hello"/></form>
<form _event_="hello" action="dummy.cgi" _action_="alt.cgi"/>

_event_: <a href="alt.cgi?event=hello">hello</a>
<a _event_="hello" href="dummy.cgi" _action_="alt.cgi">hello</a>

_event_: <form method="POST" action=""><input type="hidden" name="event" value="hello"/><input type="hidden" name="arg0" value="world"/><input type="hidden" name="arg1" value="1234"/></form>
<form _event_="hello//arg0==>%(world)//arg1==>1234"/>

_event_: <a href="?event=hello;arg0=world;arg1=1234">hello</a>
<a _event_="hello//arg0==>%(world)//arg1==>1234">hello</a>

_event_: <form method="get" action=""><input type="hidden" name="event" value="hello"/></form>
<form method="get" _event_="hello"/>

_event_: <form method="post" action=""><input type="hidden" name="event" value="hello"/></form>
<form method="post" _event_="hello"/>

_event_: <form method="POST" action="alt.cgi"><input type="hidden" name="event" value="hello"/></form>
<form _action_="alt.cgi" _event_="hello"/>

_event_: <a href="alt.cgi?event=hello">hello</a>
<a _action_="alt.cgi" _event_="hello">hello</a>

_event_: <form method="POST" action="alt.cgi"><input type="hidden" name="event" value="hello"/><input type="hidden" name="arg0" value="world"/></form>
<form _action_="alt.cgi" _event_="hello//arg0==>%(world)"/>

_event_: <a href="alt.cgi?event=hello;arg0=6">hello</a>
<a _action_="alt.cgi" _event_="hello//arg0==>1+2+3">hello</a>

_event_: <form method="POST" action="alt.cgi"><input type="hidden" name="event" value="hello"/></form>
<form method="POST" _event_="hello" action="dummy.cgi" _action_="alt.cgi"/>

_event_: <a href="alt.cgi?event=hello">hello</a>
<a href="dummy.cgi" _action_="alt.cgi" _event_="hello">hello</a>

</view>
